package com.platform.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.platform.entity.BrandEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Dao
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-19 17:59:15
 */
public interface BrandDao extends BaseDao<BrandEntity> {

    BrandEntity findByName(String brandName);

    Integer queryIdByScene(String sceneNum);

    BrandEntity queryByScene(String sceneNum);

    IPage<BrandEntity> getBrandListWithPage(IPage<BrandEntity> page, @Param("ew") QueryWrapper<BrandEntity> queryWrapper);

    IPage<BrandEntity> getBrandBindListWithPage(IPage<BrandEntity> page, @Param("ew") QueryWrapper<BrandEntity> queryWrapper);

    List<String> queryAllLiveSceneNum();
}
